org.apache.commons.math3.optimization

## Interface BaseOptimizer<PAIR>

- Type Parameters:
    `PAIR` - Type of the point/objective pair.
  All Known Subinterfaces:
    BaseMultivariateOptimizer<FUNC>, BaseMultivariateSimpleBoundsOptimizer<FUNC>, BaseMultivariateVectorOptimizer<FUNC>, BaseUnivariateOptimizer<FUNC>, DifferentiableMultivariateOptimizer, DifferentiableMultivariateVectorOptimizer, MultivariateOptimizer, UnivariateOptimizer
  All Known Implementing Classes:
    AbstractLeastSquaresOptimizer, AbstractScalarDifferentiableOptimizer, BaseAbstractMultivariateOptimizer, BaseAbstractMultivariateSimpleBoundsOptimizer, BaseAbstractMultivariateVectorOptimizer, BaseAbstractUnivariateOptimizer, BaseMultivariateMultiStartOptimizer, BaseMultivariateVectorMultiStartOptimizer, BOBYQAOptimizer, BrentOptimizer, CMAESOptimizer, DifferentiableMultivariateMultiStartOptimizer, DifferentiableMultivariateVectorMultiStartOptimizer, GaussNewtonOptimizer, LevenbergMarquardtOptimizer, MultivariateMultiStartOptimizer, NonLinearConjugateGradientOptimizer, PowellOptimizer, SimplexOptimizer, UnivariateMultiStartOptimizer

      public interface BaseOptimizer<PAIR>

  This interface is mainly intended to enforce the internal coherence of Commons-Math. Users of the API are advised to base their code on the following interfaces:
  - `MultivariateOptimizer`
  - `DifferentiableMultivariateOptimizer`
  - `DifferentiableMultivariateVectorOptimizer`
  - `UnivariateOptimizer`
  Since:
    3.0
  Version:
    $Id$

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConvergenceChecker<PAIR>` | `getConvergenceChecker()` Get the convergence checker.
    `int` | `getEvaluations()` Get the number of evaluations of the objective function.
    `int` | `getMaxEvaluations()` Get the maximal number of function evaluations.

- - ### Method Detail

    - #### getMaxEvaluations

          int getMaxEvaluations()

      Get the maximal number of function evaluations.
      Returns:
        the maximal number of function evaluations.

    - #### getEvaluations

          int getEvaluations()

      Get the number of evaluations of the objective function. The number of evaluations corresponds to the last call to the `optimize` method. It is 0 if the method has not been called yet.
      Returns:
        the number of evaluations of the objective function.

    - #### getConvergenceChecker

          ConvergenceChecker<PAIR> getConvergenceChecker()

      Get the convergence checker.
      Returns:
        the object used to check for convergence.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.